/*
   Luminardo USB Host Bluetooth SPPi Test 
   (based on example from TKJ Electronics)
   This example code is in the public domain.
 */
 
#include <Board.h>
#include <SPPi.h>
#include <usbhub.h>

USB Usb;
BTD Btd(&Usb); // You have to create the Bluetooth Dongle instance like so

//40:22:11:00:69:58 OBDII
uint8_t remote_addr[6] = {0x58, 0x69, 0x00, 0x11, 0x22, 0x40};

SPPi SerialBT(&Btd, "Luminardo", "1234", true, (uint8_t*)&remote_addr);

boolean firstMessage = true;

// the setup routine runs once when you press reset:
void setup() {
  Serial.begin(57600);
  Serial.println(F("Luminardo USB Host Bluetooth SPP Test"));
  
  if (Usb.Init() == -1) {
    Serial.println(F("OSC did not start"));
    while (1); //halt
  }
  Serial.println(F("SPP Bluetooth Library Started"));
  
  Serial.print(F("Enabling VBus..."));  
  Usb.gpioWr(1);
  Serial.print(F(" enabled"));
}

// the loop routine runs over and over again forever:
void loop() {
  
  Usb.Task(); // The SPP data is actually not send until this is called, one could call SerialBT.send() directly as well

  if (SerialBT.connected) {
    if (firstMessage) {
      Serial.print(F("\r\nSerial Bluetooth connected\r\n\r\n"));
      firstMessage = false;
      SerialBT.println(F("ATZ\r\n")); // Send welcome message
      SerialBT.send();
    }
    if (Serial.available())
      SerialBT.write(Serial.read());
      
    while (SerialBT.available())
    {
      Serial.write(SerialBT.read());
    }
  }
  else
    firstMessage = true;
}



